summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-18 12:59:17 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-18 12:59:17 +0000
commit1ca88fbf1ae95e0819ac65d4ced3f085e408a2e8 (patch)
tree64816bac33ec51d7cf5f312fdf3999fd856946a3 /dev-python
parentaddbc5b119277f12af3265fe79d45c79016313ce (diff)
downloadbaldeagleos-repo-1ca88fbf1ae95e0819ac65d4ced3f085e408a2e8.tar.gz
baldeagleos-repo-1ca88fbf1ae95e0819ac65d4ced3f085e408a2e8.tar.xz
baldeagleos-repo-1ca88fbf1ae95e0819ac65d4ced3f085e408a2e8.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiosqlite/Manifest1
-rw-r--r--dev-python/aiosqlite/aiosqlite-0.19.0.ebuild26
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.115.ebuild66
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.115.ebuild72
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.77.1.ebuild64
-rw-r--r--dev-python/mypy/Manifest6
-rw-r--r--dev-python/mypy/metadata.xml2
-rw-r--r--dev-python/mypy/mypy-0.982.ebuild63
-rw-r--r--dev-python/mypy/mypy-1.0.1.ebuild (renamed from dev-python/mypy/mypy-0.971.ebuild)10
-rw-r--r--dev-python/mypy/mypy-1.1.1.ebuild (renamed from dev-python/mypy/mypy-0.981.ebuild)18
-rw-r--r--dev-python/mypy/mypy-1.2.0.ebuild (renamed from dev-python/mypy/mypy-0.982-r1.ebuild)16
-rw-r--r--dev-python/pyamg/Manifest1
-rw-r--r--dev-python/pyamg/pyamg-5.0.0.ebuild49
-rw-r--r--dev-python/pyxattr/Manifest1
-rw-r--r--dev-python/pyxattr/pyxattr-0.8.1.ebuild39
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild3
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-2.0.8.ebuild3
-rw-r--r--dev-python/tasklib/Manifest2
-rw-r--r--dev-python/tasklib/metadata.xml11
-rw-r--r--dev-python/tasklib/tasklib-2.5.1.ebuild16
23 files changed, 370 insertions, 102 deletions
diff --git a/dev-python/aiosqlite/Manifest b/dev-python/aiosqlite/Manifest
index cce382dbcf07..fc3b0039ba6b 100644
--- a/dev-python/aiosqlite/Manifest
+++ b/dev-python/aiosqlite/Manifest
@@ -1 +1,2 @@
DIST aiosqlite-0.18.0.tar.gz 27066 BLAKE2B 2743db7770b8377a1ab2b11b286684840b1ace9015180fb18590026e4607f78f72068765ea5ab69f9b2fd6ad96007dbbb517d371c2142930f2a587f0b13f81ea SHA512 dcab1bac1b32a86f31957a2f297969ba25cf43cd129afba5810812124964640744cdcbf9764c0037adb9b6cd917cd816a26823578ffb16d864be19f92373d59f
+DIST aiosqlite-0.19.0.tar.gz 21832 BLAKE2B 0cd367979e84af23e7ca9965535ab6477bb78c6b2b0c6af3a8698bbde6400dee80d468b99f125ae03ab98053212170cbbaaeac5134e9f85dc66704eafa96f78f SHA512 56debffdb73b6ec98bb69ce2b711e53417cbcb06501a2dc94558157c2cd010f9f56345bcf5378a17eb064ac6bd5f3638650edffcd1f73883bdeae7476afa96e8
diff --git a/dev-python/aiosqlite/aiosqlite-0.19.0.ebuild b/dev-python/aiosqlite/aiosqlite-0.19.0.ebuild
new file mode 100644
index 000000000000..ed74d382f8e7
--- /dev/null
+++ b/dev-python/aiosqlite/aiosqlite-0.19.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="asyncio bridge to the standard sqlite3 module"
+HOMEPAGE="
+ https://aiosqlite.omnilib.dev
+ https://pypi.org/project/aiosqlite/
+ https://github.com/omnilib/aiosqlite
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests unittest
+
+# AttributeError: 'str' object has no attribute 'supported'
+#distutils_enable_sphinx docs dev-python/m2r
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a0a75f35e1b7..94a255404b51 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,3 +3,4 @@ DIST boto3-1.26.109.gh.tar.gz 635150 BLAKE2B d60417a5220eb1cd4a82e9652a0c6bc2bdb
DIST boto3-1.26.112.gh.tar.gz 636498 BLAKE2B 2768bdc1fec35eca4a3079bf12933fc28322d111c8be4548d7c5068597e5020c02a1036124088e158a24b6eec705152dcfa36f4029ee1e64ff9cf429cecee7d3 SHA512 f125f8951f2d8703b1e8c1f2f617ba77e190a3dd7fdb04b04a7fe36b56dabdcc3939d9ccda6127ce08d41bcb3573fb94a86dc4f8cfe61435414c8671786c6f36
DIST boto3-1.26.113.gh.tar.gz 636722 BLAKE2B 0b5c3819c004ba425294208f114b4b11713730a18e45cf274b8bfe1f762f59e2c404e0a4ccbbec16be934931e7b37c2bd462b7df7d6d47275b1de26300de216e SHA512 bafda63eddb19b97538224e9c12bc3178a0999cc4d2547cb7ec7335f28a7fe3875130573d4fab2fe21000cc1e3bc4e3a7a5ae99bc8f0e9dc7e2b40ad6fb5a2e0
DIST boto3-1.26.114.gh.tar.gz 637000 BLAKE2B 06f74ac214f4c2161ebe464e1c8fc42c74cb4429110c8ce979db3962fde5240c62ac94b4b9ca002fff89a36659a8830265ac693bd9522082b8cae21108e16cf9 SHA512 324ea177c8ee98a0935d1935f08b31f1640eedf8a7dd19f2bc958f6c1c2fb9deea29f0482b1f4c903d70860a93274dd0d70eafe0564116361daf5e7df51abd26
+DIST boto3-1.26.115.gh.tar.gz 637877 BLAKE2B 861cf3a197002bcfac3f1ca3428bd01f1a8e103462e0de83ed33bb7575de0056f4222195c70dcd0e40dcf3744467e8c017bfe361e589eaf641fec76d6d3eea94 SHA512 337e90d91bb9efcff89b410d5222dead7ce1d0f35257bebe0309cd5fa657facd1a0352bee0ea23d3b94ad852da03a182b7dabf4c2d854390fd227bd58fabc6d3
diff --git a/dev-python/boto3/boto3-1.26.115.ebuild b/dev-python/boto3/boto3-1.26.115.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.115.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index f70e0583ead1..d5eb677f84a1 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,3 +3,4 @@ DIST botocore-1.29.109.gh.tar.gz 11375235 BLAKE2B 9bd6333319cce685257a5bd4eb06d2
DIST botocore-1.29.112.gh.tar.gz 11380151 BLAKE2B 0392abe4e6be29a9e3eae1e693d7cc121ffd2bba08ac3555b22bb234f6c94cda90251f51368774f7d02a06eb16c9f80c703280947e308390374da2f60efedeb4 SHA512 7f2445db878ea21562604ae57722fd993fe5f9770990ee27f98dba440617505f5e14f3f13a4e97e8de0927a8f5aa384fd7f1355ad3d669264e7eb48fc19c93d2
DIST botocore-1.29.113.gh.tar.gz 11386284 BLAKE2B a3611f356f25080f00f675b20a8b49952bcf1e464b9a114bf37392ebdf4573ac1e9eb6373c61dbf87f8101e055f4f6600f7825f45b00c5723c1528d74865dd6c SHA512 8a16fdde7099ae75a3587ee0c0108c12a6c5c27dbbbfc2d98eb3ccd4c66b45f0389a722f1b10ac3f3cc69ea7ba9135cc0604e35126cc2691a26f4a6173d5258a
DIST botocore-1.29.114.gh.tar.gz 11388772 BLAKE2B 6c9ce892cccf2f85ba4bcd49b31309528016313bb699efbca3b00d3cf3797de5e1b35bd71a3b5bd6d471e9c411ad7750ebd25c03571aa18c34cd42bc2f47bc19 SHA512 6633a2aaf2865a89976ba4097fa64cee4167a9144d4eadc7d9be711e65735bab08d2c03c18ae52c4901fea47265301cb95c91306b261fb48b4119bec66cde376
+DIST botocore-1.29.115.gh.tar.gz 11394187 BLAKE2B 621be4a22b7f06d520bcd630ed6e1a8721d11d5c7822f56f54907177d0773b69247b627a42cfbb1b8e053f54ea16f7238acc0d485379c1e071b6e917ea625596 SHA512 525d8f219cad541c4cc125c2d5eeb7595fba6192bda23e7bcc02a65e4ec413756ae3d8ab5bcb3185b5c837bc7214c22146e52716ff010cc396bc8d32cd98b956
diff --git a/dev-python/botocore/botocore-1.29.115.ebuild b/dev-python/botocore/botocore-1.29.115.ebuild
new file mode 100644
index 000000000000..491b6bbc21f2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.115.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index a7d892964ad7..fbf0dae66bc9 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -3,3 +3,4 @@ DIST cfn-lint-0.75.1.gh.tar.gz 3487870 BLAKE2B 26aaf3b24023260d7a7d8f2b89fc9135e
DIST cfn-lint-0.76.1.gh.tar.gz 3631194 BLAKE2B 95d395369fc230fe4e6c5d5e2a0e4bf246f1f312c6595e998004d43a7662e43ed0612a56893956fbb15e99ed197d9af2723fc1c2ea9b14fc27d8b4ff7b29e484 SHA512 5c65111fa7f57b268f2f3f52157d464de467cfdf16cd672e399ab7b2d23d648346c6754c45cd169f993ae15180ffafc710c9f2fa0675a7ecb1d8fc5b3d0ec5ce
DIST cfn-lint-0.76.2.tar.gz 3402554 BLAKE2B e5f9405d2852e3b81140a24d94c90a3bf8c919eb6823280a0a887c6acc56ec71d991cbc76532cc49d1189a8f64750ba3e9db02fb3b46b27a28ec3468f4dd268e SHA512 96351ade16308be18baace1351e263a179eacc0b3635e9baa959baadaebb6a08825f6cb9cd83cb83b8635785c7f54405bfcf00f85d6d95d101d3298919cd1ea7
DIST cfn-lint-0.77.0.tar.gz 3474124 BLAKE2B 5715618f6b44a7a88ef3af8d21d038fa4ce4707973e64eb9712ff524cd5276e71802ad4b9a55580ac469b6474c7d48a8ccee04660bcaf7934df7a23cab1e5a9a SHA512 6509197ef29d8bcbfc416df0a63f89736f704b147bbeb489586b6a06e1818f1d91e59429c73a9e9e23dadb20325a3c79d0b8e1b4637cd0e131f9673422e36734
+DIST cfn-lint-0.77.1.tar.gz 3483399 BLAKE2B 6eaaba9cf70044c673164bce3a062b00ae7703b091e2c0e8d5065e815278fdb88d75f2592695cd1be1612421f95c806f6eaf3be9f4725abec0cf5e39070ff175 SHA512 0d18e7bc19d5562c88194f834267fa6d2fd8125754399ef281598beb68752e7935a653fbe3a0573f4887cb7a76c41b49ad8e268d390db59dd79794cde4939f31
diff --git a/dev-python/cfn-lint/cfn-lint-0.77.1.ebuild b/dev-python/cfn-lint/cfn-lint-0.77.1.ebuild
new file mode 100644
index 000000000000..2b6753f1c840
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.77.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.64.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index fb73f3f15782..1f251f15d7b5 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1,3 +1,3 @@
-DIST mypy-0.971.gh.tar.gz 2808674 BLAKE2B 7f3b183a4c5342ddfc501b8091c078ac55803db86d43042220e18e3e616664ce91ddeb341b45b1d80c7686f8c2f3606af074a5dcb9c9eaacd6307578d3689981 SHA512 5088efbd74385b5a8c155ae6e756deed274bf3e597df13e57970a29c029c34c91453c45fc1d2d03b7d83cd786b8930a387a781e1b9cb72102c1f07263a346c6d
-DIST mypy-0.981.gh.tar.gz 2628442 BLAKE2B 484ba2da1e3c8988ce4bfa7681592b6ca4f409ca9078319428e11407fa2dec38deace41e77278bab835eee1e3690d8bf213c44ecb82ac5e9a5f759b030df93fe SHA512 8deb66e48b74c50027fd95533935fa6643beaa30b28d25c5783645f9efaedf6138379c262a91abbca62c6e269677f0ee1325fe93ea48d587f1aae8eec21eb15e
-DIST mypy-0.982.gh.tar.gz 2629381 BLAKE2B 84429715255febd3fb9b2b313c7ba20ca54a73aa26fd908c1f4c7be40854052a2e40babf333bbb39fa30e7de14e0eaefd6f8d301cc2cb721b47acf034b268212 SHA512 524565f40a0c13fc640c26a345dccfbcb4d777ba8a96933771263d2fcb2f02b4405ca3afd02d886e2894dc06b9aa476ea8c3a35cbae856cabecdcfa43f3494f5
+DIST mypy-1.0.1.gh.tar.gz 2763553 BLAKE2B d8d2b6cd3ff386ce0f78d32f81f3f631bbb8ffdbebab8607af2496c890b6a876f870e487a88711b93e48615548aaf6fa32cc6f62cf472d2def59374b49818584 SHA512 081b1ada479ea694e570f6ac56e470196efe30cc5bd8d8e32255ca980a312d67779746eb3f780ecb4d83e8d7e3272fcc77231ba098e736be5893cf249b7ff84e
+DIST mypy-1.1.1.gh.tar.gz 2787425 BLAKE2B e72a4dcb41107e6438b360bb342b7ac42778ab3d6bd557d7fe2a9f92f6427d94d782661ff80bee36aafa676d0cc1553bcfd74cf3e413d4afa525fd8e93e9b87e SHA512 fcd50366837d005f255e2e8ecf20c843374a5d7670d714d1f8cfdaef1c6d44e37e7e84ba91fd1d49513e3aeffc8d5c0ab40ddd7bc9fced75082c9fea60d38f6a
+DIST mypy-1.2.0.gh.tar.gz 2815323 BLAKE2B d5cdc1bb31d797c49daf5ea0427fdceaf59a131d02a687dc5e72796a03824bff923c6942c6f01ca44025fe153fea02fdaee3959317fda0d4c562c45638e8c380 SHA512 5bee7a5ae4ac608cb3b3855c0ad100ea6ba512900aa557a153e1ae5f8e779125a8ef61103a81a9584b0585a6d4eea78c3585af61fa62986f984ac2b63e6b89b6
diff --git a/dev-python/mypy/metadata.xml b/dev-python/mypy/metadata.xml
index d0ba9bb36b6a..a4dce2ebb598 100644
--- a/dev-python/mypy/metadata.xml
+++ b/dev-python/mypy/metadata.xml
@@ -9,5 +9,5 @@
<bugs-to>https://github.com/python/mypy/issues</bugs-to>
<doc>https://mypy.readthedocs.io/</doc>
</upstream>
- <origin>ports</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mypy/mypy-0.982.ebuild b/dev-python/mypy/mypy-0.982.ebuild
deleted file mode 100644
index 07830fb2efa7..000000000000
--- a/dev-python/mypy/mypy-0.982.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1 multiprocessing
-
-DESCRIPTION="Optional static typing for Python"
-HOMEPAGE="
- http://www.mypy-lang.org/
- https://github.com/python/mypy/
- https://pypi.org/project/mypy/
-"
-SRC_URI="
- https://github.com/python/mypy/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-
-# stubgen collides with this package: https://bugs.gentoo.org/585594
-RDEPEND="
- !dev-util/stubgen
- >=dev-python/psutil-4[${PYTHON_USEDEP}]
- >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
- <dev-python/typed-ast-1.5.0[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
- >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
- <dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- dev-python/tomli[${PYTHON_USEDEP}]
- ' 3.8 3.9 3.10)
-"
-BDEPEND="
- test? (
- >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
- >=dev-python/filelock-3.3.0[${PYTHON_USEDEP}]
- >=dev-python/lxml-4.4.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-6.1.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-xdist-1.18[${PYTHON_USEDEP}]
- >=dev-python/py-1.5.2[${PYTHON_USEDEP}]
- >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
- >=dev-python/virtualenv-16.0.0[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs/source \
- dev-python/furo
-distutils_enable_tests pytest
-
-# this requires packaging a lot of type stubs
-export MYPY_USE_MYPYC=0
-
-python_test() {
- # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
- # fail with high COLUMNS values
- local -x COLUMNS=80
- epytest -n "$(makeopts_jobs)"
-}
diff --git a/dev-python/mypy/mypy-0.971.ebuild b/dev-python/mypy/mypy-1.0.1.ebuild
index 8b08265d5c59..61488cb9f6db 100644
--- a/dev-python/mypy/mypy-0.971.ebuild
+++ b/dev-python/mypy/mypy-1.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -10,7 +10,7 @@ inherit distutils-r1 multiprocessing
DESCRIPTION="Optional static typing for Python"
HOMEPAGE="
- http://www.mypy-lang.org/
+ https://www.mypy-lang.org/
https://github.com/python/mypy/
https://pypi.org/project/mypy/
"
@@ -27,13 +27,13 @@ RDEPEND="
!dev-util/stubgen
>=dev-python/psutil-4[${PYTHON_USEDEP}]
>=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
- <dev-python/typed-ast-1.5.0[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+ <dev-python/typed-ast-2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
>=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
<dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
- ' 3.8 3.9 3.10)
+ ' pypy3 python3_{8..10})
"
BDEPEND="
test? (
diff --git a/dev-python/mypy/mypy-0.981.ebuild b/dev-python/mypy/mypy-1.1.1.ebuild
index 07830fb2efa7..b9a324b59e5a 100644
--- a/dev-python/mypy/mypy-0.981.ebuild
+++ b/dev-python/mypy/mypy-1.1.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -10,30 +10,30 @@ inherit distutils-r1 multiprocessing
DESCRIPTION="Optional static typing for Python"
HOMEPAGE="
- http://www.mypy-lang.org/
+ https://www.mypy-lang.org/
https://github.com/python/mypy/
https://pypi.org/project/mypy/
"
SRC_URI="
- https://github.com/python/mypy/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+ https://github.com/python/mypy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
# stubgen collides with this package: https://bugs.gentoo.org/585594
RDEPEND="
!dev-util/stubgen
>=dev-python/psutil-4[${PYTHON_USEDEP}]
>=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
- <dev-python/typed-ast-1.5.0[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
- >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
- <dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
+ <dev-python/typed-ast-2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-1.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
- ' 3.8 3.9 3.10)
+ ' pypy3 python3_{8..10})
"
BDEPEND="
test? (
diff --git a/dev-python/mypy/mypy-0.982-r1.ebuild b/dev-python/mypy/mypy-1.2.0.ebuild
index 7e5c66b9b8b3..61546398c6dd 100644
--- a/dev-python/mypy/mypy-0.982-r1.ebuild
+++ b/dev-python/mypy/mypy-1.2.0.ebuild
@@ -1,5 +1,6 @@
-# Copyright 2022 Liguros Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
+
EAPI=8
DISTUTILS_USE_PEP517=setuptools
@@ -9,12 +10,13 @@ inherit distutils-r1 multiprocessing
DESCRIPTION="Optional static typing for Python"
HOMEPAGE="
- http://www.mypy-lang.org/
+ https://www.mypy-lang.org/
https://github.com/python/mypy/
https://pypi.org/project/mypy/
"
SRC_URI="
- https://github.com/python/mypy/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+ https://github.com/python/mypy/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
"
LICENSE="MIT"
@@ -26,12 +28,12 @@ RDEPEND="
!dev-util/stubgen
>=dev-python/psutil-4[${PYTHON_USEDEP}]
>=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
- >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
- >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
- <dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
+ <dev-python/typed-ast-2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-1.0.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/tomli[${PYTHON_USEDEP}]
- ' 3.8 3.9 3.10)
+ ' pypy3 python3_{8..10})
"
BDEPEND="
test? (
diff --git a/dev-python/pyamg/Manifest b/dev-python/pyamg/Manifest
index b2369788dc5a..ee76c73d48d8 100644
--- a/dev-python/pyamg/Manifest
+++ b/dev-python/pyamg/Manifest
@@ -1 +1,2 @@
DIST pyamg-4.2.3.gh.tar.gz 4101959 BLAKE2B 190cce0bb06bbfc09e8c7a8d6d70498308e4d0e098c23a12d12ae8373b56ef183694430c1f85e287682f9733e3f85ff2bd94d8e10003f578af32f3c3f583a8f4 SHA512 ad11ed2870de41bb9596167a5a7fc3edd4c4bc898c2f5b5ffa3cfa862372d993fe1adfc5f3d199150ba69a4d2acbf75e5d99b3aa872273da0d05f1fd8d9f5c6d
+DIST pyamg-5.0.0.gh.tar.gz 4132243 BLAKE2B 72630feb399653566c32ece3aad52f7e7634418c607ff8a4cc84aa1f5a378ef27b0b954e2ed1e52a9cb74a26a3b0c30ca3b0c25469ad4a7001dd5dc0b6a2a535 SHA512 c601e93dbc805f56aa976e5e32c80ae8307022736f29d1d28c5646e814d0c3684b1241f0d8953a2c47ba372107c013e9421d49997340887c0dc92d7c0a56dea7
diff --git a/dev-python/pyamg/pyamg-5.0.0.ebuild b/dev-python/pyamg/pyamg-5.0.0.ebuild
new file mode 100644
index 000000000000..33f64faff2aa
--- /dev/null
+++ b/dev-python/pyamg/pyamg-5.0.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Algebraic multigrid solvers in Python"
+HOMEPAGE="
+ https://www.pyamg.org/
+ https://github.com/pyamg/pyamg/
+ https://pypi.org/project/pyamg/
+"
+SRC_URI="
+ https://github.com/pyamg/pyamg/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ dev-python/CppHeaderParser[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${DEPEND}
+ >=dev-python/setuptools-scm-7.0.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${T}" || die
+ epytest --pyargs pyamg
+}
diff --git a/dev-python/pyxattr/Manifest b/dev-python/pyxattr/Manifest
index 198aa8cf3450..0c90e047e927 100644
--- a/dev-python/pyxattr/Manifest
+++ b/dev-python/pyxattr/Manifest
@@ -1 +1,2 @@
DIST pyxattr-0.8.0.tar.gz 35720 BLAKE2B 776cacc68a2dc3e9d60b026d9d0dd3b3ff362445c8f9eb205d1799378b1cb1ab0e6af5fe9bc4f295e428195d0431287f62f6fb735a37831e3b36b7f53f5535a6 SHA512 921af6341cdfdfccea0c46e02742d051de00c7eca75c52f9fcc1618217c41869da957dd6ce03fa7d1367b86b44b49b5263ba65de277bf2453807c6f69a67141b
+DIST pyxattr-0.8.1.tar.gz 38443 BLAKE2B 2b044f5774c4b1e95a711e3bdad0c2f604d330865155360b8b6e08377c78d058e17a7d3f4792d6ef932b81f92b1671277663a36652d60a25aaa658a2e545f8a6 SHA512 98ba196b29b431ecacf0257712aa219175ba030e1c62fb388b4f3109d2d6b14ef09ed38f85177bd2991d3109c0af4cd2a108d17886dd51549e817727714f72f1
diff --git a/dev-python/pyxattr/pyxattr-0.8.1.ebuild b/dev-python/pyxattr/pyxattr-0.8.1.ebuild
new file mode 100644
index 000000000000..226c2b934a99
--- /dev/null
+++ b/dev-python/pyxattr/pyxattr-0.8.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python interface to xattr"
+HOMEPAGE="
+ https://pyxattr.k1024.org/
+ https://github.com/iustin/pyxattr/
+ https://pypi.org/project/pyxattr/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ sys-apps/attr:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc dev-python/recommonmark
+
+python_prepare_all() {
+ sed -i -e 's:, "-Werror"::' setup.py || die
+ # Bug 548486
+ sed -e "s:html_theme = 'default':html_theme = 'classic':" \
+ -i doc/conf.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild b/dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild
index 0f2fd3c05d74..6f6b495affb0 100644
--- a/dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.7.ebuild
@@ -71,7 +71,10 @@ python_test() {
test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[has_terminate-is_asyncio]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[not_has_terminate-is_asyncio]"
"test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True]"
)
fi
diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.8.ebuild b/dev-python/sqlalchemy/sqlalchemy-2.0.8.ebuild
index c137b9e59e98..3d6a4a138bdc 100644
--- a/dev-python/sqlalchemy/sqlalchemy-2.0.8.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.8.ebuild
@@ -71,7 +71,10 @@ python_test() {
test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
"test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[has_terminate-is_asyncio]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[not_has_terminate-is_asyncio]"
"test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True]"
)
fi
diff --git a/dev-python/tasklib/Manifest b/dev-python/tasklib/Manifest
index 96f2af74e272..58c909507410 100644
--- a/dev-python/tasklib/Manifest
+++ b/dev-python/tasklib/Manifest
@@ -1 +1 @@
-DIST tasklib-2.5.1.gh.tar.gz 33015 BLAKE2B 7ca8fa519ccfb8f1fdfe06536f825f488766abcfd2e7c8c722b1dad8ecf51ea8846c93baac7207b607e50bb8285f9a0b88ba9116ca2285a1e012a053600ff8f5 SHA512 b52a94e487eb90776a5edec63bfef9a4eaa5a87065be3a5386bd0d8b277b88fb35663ea5789e573a088e54fb9aa835c27d787fced4ed5198badff995dcc2e7e0
+DIST tasklib-2.5.1.tar.gz 23805 BLAKE2B 354c2719bd73f992d1d7ed1d6d14ed25bab4eb417397f3c4d3e1fc9c000957634547c615b5a6a90d8defbc4eb35a70067e12a0ea181796c77fb3dbca18f032e6 SHA512 ab1a681558c22017d36da9bdcc8fd7367550d8b8375dd6967188647d21525bc0a6f0e7645c9bb6505087ab539a4173bf3988b6ad2449ba8bc37f062f38b12d78
diff --git a/dev-python/tasklib/metadata.xml b/dev-python/tasklib/metadata.xml
index 24ccbb8a7ce2..854ca0e37055 100644
--- a/dev-python/tasklib/metadata.xml
+++ b/dev-python/tasklib/metadata.xml
@@ -2,9 +2,14 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>thomas@binaryden.de</email>
- <name>Thomas Kemmer</name>
+ <email>mattst88@gentoo.org</email>
+ <name>Matt Turner</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
</maintainer>
- <origin>binaryden-overlay</origin>
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/tasklib/tasklib-2.5.1.ebuild b/dev-python/tasklib/tasklib-2.5.1.ebuild
index f7ce521f74da..1a4fe3e241c7 100644
--- a/dev-python/tasklib/tasklib-2.5.1.ebuild
+++ b/dev-python/tasklib/tasklib-2.5.1.ebuild
@@ -6,22 +6,18 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-inherit distutils-r1
+inherit distutils-r1 pypi
DESCRIPTION="A Python library for interacting with taskwarrior databases"
-HOMEPAGE="https://github.com/GothenburgBitFactory/tasklib"
-SRC_URI="
- https://github.com/GothenburgBitFactory/${PN}/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
+HOMEPAGE="
+ https://github.com/GothenburgBitFactory/tasklib
+ https://pypi.org/project/tasklib/
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
-RDEPEND="
- app-misc/task
-"
+RDEPEND=">=app-misc/task-2.4.0"
-distutils_enable_sphinx docs --no-autodoc
-distutils_enable_tests setup.py
+distutils_enable_tests unittest